[med-svn] [Git][med-team/transrate-tools][master] 3 commits: Add test data

Pranav Ballaney gitlab at salsa.debian.org
Sun May 24 21:07:14 BST 2020



Pranav Ballaney pushed to branch master at Debian Med / transrate-tools


Commits:
301682c2 by Pranav Ballaney at 2020-05-25T01:32:04+05:30
Add test data

- - - - -
4cbfbb68 by Pranav Ballaney at 2020-05-25T01:32:41+05:30
Add autopkgtests

- - - - -
ca01cffc by Pranav Ballaney at 2020-05-25T01:36:31+05:30
Install docs and update changelog

- - - - -


11 changed files:

- + debian/README.test
- debian/changelog
- + debian/docs
- + debian/examples
- + debian/tests/control
- + debian/tests/data/README.test-data
- + debian/tests/data/SRR11728627.bam
- + debian/tests/data/SRR11728641.bam
- + debian/tests/data/SRR11828387.bam
- + debian/tests/data/SRR11828399.bam
- + debian/tests/run-unit-test


Changes:

=====================================
debian/README.test
=====================================
@@ -0,0 +1,8 @@
+Notes on how this package can be tested.
+────────────────────────────────────────
+
+This package can be tested by running the provided test:
+
+    sh run-unit-test
+
+in order to confirm its integrity.


=====================================
debian/changelog
=====================================
@@ -1,3 +1,18 @@
+transrate-tools (1.0.0-3) UNRELEASED; urgency=medium
+
+  [ Steffen Moeller ]
+  * d/u/metadata: yamllint
+
+  [ Steffen Möller ]
+  * Update metadata with ref to conda
+
+  [ Pranav Ballaney ]
+  * Add test data
+  * Add autopkgtests
+  * Install docs
+
+ -- Pranav Ballaney <ballaneypranav at gmail.com>  Mon, 25 May 2020 01:33:02 +0530
+
 transrate-tools (1.0.0-2) unstable; urgency=medium
 
   * Team upload.


=====================================
debian/docs
=====================================
@@ -0,0 +1,4 @@
+README.md
+debian/README.test
+debian/tests/run-unit-test
+debian/tests/data/README.test-data
\ No newline at end of file


=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+debian/tests/data/*
\ No newline at end of file


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr


=====================================
debian/tests/data/README.test-data
=====================================
@@ -0,0 +1,18 @@
+The files used for testing were obtained by downloading the following:
+* NC_045512.2.fasta from https://www.ncbi.nlm.nih.gov/nuccore/NC_045512.2?report=fasta
+* SRR11728627.fastq from https://trace.ncbi.nlm.nih.gov/Traces/sra/?run=SRR11728627
+* SRR11728641.fastq from https://trace.ncbi.nlm.nih.gov/Traces/sra/?run=SRR11728641
+* SRR11828387.fastq from https://trace.ncbi.nlm.nih.gov/Traces/sra/?run=SRR11828387
+* SRR11828399.fastq from https://trace.ncbi.nlm.nih.gov/Traces/sra/?run=SRR11828399
+
+And applying the following operations:
+
+bowtie2-build NC_045512.2.fasta sars-cov-2
+bowtie2 -x sars-cov-2 SRR11728627.fq -S SRR11728627.sam
+bowtie2 -x sars-cov-2 SRR11728641.fq -S SRR11728641.sam
+bowtie2 -x sars-cov-2 SRR11828387.fq -S SRR11828387.sam
+bowtie2 -x sars-cov-2 SRR11828399.fq -S SRR11828399.sam
+samtools view -b SRR11728627.sam > SRR11728627.bam
+samtools view -b SRR11728641.sam > SRR11728641.bam
+samtools view -b SRR11828387.sam > SRR11828387.bam
+samtools view -b SRR11828399.sam > SRR11828399.bam
\ No newline at end of file


=====================================
debian/tests/data/SRR11728627.bam
=====================================
Binary files /dev/null and b/debian/tests/data/SRR11728627.bam differ


=====================================
debian/tests/data/SRR11728641.bam
=====================================
Binary files /dev/null and b/debian/tests/data/SRR11728641.bam differ


=====================================
debian/tests/data/SRR11828387.bam
=====================================
Binary files /dev/null and b/debian/tests/data/SRR11828387.bam differ


=====================================
debian/tests/data/SRR11828399.bam
=====================================
Binary files /dev/null and b/debian/tests/data/SRR11828399.bam differ


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,44 @@
+#!/bin/bash
+set -e
+
+pkg=transrate-tools
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  # Double quote below to expand the temporary directory variable now versus
+  # later is on purpose.
+  # shellcheck disable=SC2064
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp -a /usr/share/doc/${pkg}/examples/* "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+
+gunzip -r *
+#do_stuff_to_test_package#
+
+echo -e "\e[93m\e[1mTest 1\e[0m"
+bam-read SRR11828387.bam SRR11828387.csv
+cat SRR11828387.csv
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 2\e[0m"
+bam-read SRR11828399.bam SRR11828399.csv
+cat SRR11828399.csv
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 3\e[0m"
+bam-read SRR11728641.bam SRR11728641.csv
+cat SRR11728641.csv
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo
+
+echo -e "\e[93m\e[1mTest 4\e[0m"
+bam-read SRR11728627.bam SRR11728627.csv
+cat SRR11728627.csv
+echo -e "\e[92m\e[1mPassed\e[0m"
+echo



View it on GitLab: https://salsa.debian.org/med-team/transrate-tools/-/compare/cd29d81b6aad93a465c22e01ef2976645ae4db66...ca01cffcaf8f5b52c05c6e5702a387e7ef360eef

-- 
View it on GitLab: https://salsa.debian.org/med-team/transrate-tools/-/compare/cd29d81b6aad93a465c22e01ef2976645ae4db66...ca01cffcaf8f5b52c05c6e5702a387e7ef360eef
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200524/74d7ff69/attachment-0001.html>


More information about the debian-med-commit mailing list